Results 1 to 7 of 7

Thread: Need to install Amanda Client 3.2

  1. #1

    Default Need to install Amanda Client 3.2

    I'm trying to install the client but getting failed dependencies:

    libcrypto.so.0.9.7 is needed by amanda-backup_client-3.2.0-1.suse10.0.i586
    libcurl.so.3 is needed by amanda-backup_client-3.2.0-1.suse10.0.i586
    libssl.so.0.9.7 is needed by amanda-backup_client-3.2.0-1.suse10.0.i586


    Any idea where to find those files and how to install them?

    I'm running OpenSuSE 11.1

  2. #2
    Join Date
    Mar 2010
    Location
    Austin - Texas
    Posts
    10,140
    Blog Entries
    48

    Smile Re: Need to install Amanda Client 3.2

    I don't have any problems installing Amanda version 2.6 from the openSUSE repositories, but I don't see version 3.2. How did you install or try to install version 3.2? Also, the libs that mention suse10.0 for some reason which would bring into play just what repositories are you using with openSUSE 11.1? Here is where all the current repositories can be found:

    Package repositories - openSUSE

    Additional package repositories - openSUSE

    KDE repositories - openSUSE

    GNOME repositories - openSUSE

    Now I did not find the version of Amanda you mention, but version 2.6 loaded just fine and added two more packages called dump & star. Perhaps what you seek is located in a newer version of these two programs.

    Thank You,

    My Blog: https://forums.opensuse.org/blogs/jdmcdaniel3/

    Software efficiency halves every 18 months, thus compensating for Moore's Law

    Its James again from Austin, Texas

  3. #3

    Default Re: Need to install Amanda Client 3.2

    Quote Originally Posted by jdmcdaniel3 View Post
    I don't have any problems installing Amanda version 2.6 from the openSUSE repositories, but I don't see version 3.2. How did you install or try to install version 3.2? Also, the libs that mention suse10.0 for some reason which would bring into play just what repositories are you using with openSUSE 11.1? Here is where all the current repositories can be found:

    Package repositories - openSUSE


    Additional package repositories - openSUSE

    KDE repositories - openSUSE

    GNOME repositories - openSUSE

    Now I did not find the version of Amanda you mention, but version 2.6 loaded just fine and added two more packages called dump & star. Perhaps what you seek is located in a newer version of these two programs.

    Thank You,

    When I go into yast and search Amanda, Amanda Network Disk Archiver pops up. Could I use that as the client to connect to my Amanda box?

  4. #4
    Join Date
    Mar 2010
    Location
    Austin - Texas
    Posts
    10,140
    Blog Entries
    48

    Smile Re: Need to install Amanda Client 3.2

    When I go into YaST and search Amanda, Amanda Network Disk Archiver pops up. Could I use that as the client to connect to my Amanda box?
    So I am not the expert on using Amanda, but I would surely give it a try first. In the end, perhaps you should go to the source and see what documentation that they have on the subject says.

    The Amanda 15-Minute Backup Solution

    Thank You,
    My Blog: https://forums.opensuse.org/blogs/jdmcdaniel3/

    Software efficiency halves every 18 months, thus compensating for Moore's Law

    Its James again from Austin, Texas

  5. #5

    Default Re: Need to install Amanda Client 3.2

    Quote Originally Posted by jdmcdaniel3 View Post
    So I am not the expert on using Amanda, but I would surely give it a try first. In the end, perhaps you should go to the source and see what documentation that they have on the subject says.

    The Amanda 15-Minute Backup Solution

    Thank You,
    That was my first step. That's how I got to here...lol.

    On their website they only mention OpenSuSE 10 and nothing newer. But people here keep saying that they have amanda on opensuse 11.x just fine. When I go to Yast and search Amanda, Amanda Network Backup populates. It's the only option there. I only need the client to be installed.

  6. #6
    Join Date
    Mar 2010
    Location
    Austin - Texas
    Posts
    10,140
    Blog Entries
    48

    Smile Re: Need to install Amanda Client 3.2

    So far, I am not seeing anyone else jump in here with suggestions on using Amanda. Perhaps you need to ask what backup program is everyone else using in a new thread and get some suggestions known to work in openSUSE. Anyway that is what I would do if I were you. This thread is still open if a suggestion should come in for your original question.

    Thank You,
    My Blog: https://forums.opensuse.org/blogs/jdmcdaniel3/

    Software efficiency halves every 18 months, thus compensating for Moore's Law

    Its James again from Austin, Texas

  7. #7
    Join Date
    Jul 2008
    Location
    Toronto, Canada
    Posts
    1,253

    Default Re: Need to install Amanda Client 3.2

    The rpms that refer to suse10.x are the only rpms available for download on the amanda.org website. The openSUSE rpms really need to be updated to the 11.x series.

    However, the latest amanda-3.2.0.tar.gz file can be downloaded. Once you untar it, search for subfolder named: /home/yourname/amanda-3.2.0/packaging/rpm/

    Run the file "buildpkg" as regular user and it will create an rpm in your /home folder. What can you lose exept learning how to create your own rpms.
    In addition, you can also install directly from amanda-3.2.0 .


    For more help
    I would recommend checking the following link to log on to amanda IRC. Amanda mailing lists Post your question with them.


    Good Luck!

    Romanator
    My Linux Box
    OS:
    openSUSE 51.1 - Plasma 5.12.8
    OS:
    Tumbleweed Plasma 5.16.4
    ASUS P5Q | Intel Quad 6600 @3.02 GHz | 8GB G.SKILL RAM | Nvidia GeForce 750 Ti

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •